<div class="contenedor">
    <div class="encabezado">
        <div class="image">
            <img src="assets/images/registro.png"/>
        </div>
        <div class="formulario">
            <a class="logoregistro">
                <img src="assets/images/logo-text.png"/>
            </a>
            <form id="registroform" autocomplete="off" [formGroup]="registroForm" (ngSubmit)="registro()">
                <div class="dato">
                    <input type="text" class="p-inputtext-lg inputtext" placeholder="Email" id="email" pInputText formControlName="email" />
                </div>
                <div class="danger" *ngIf="campoNoValido('email')">
                    <small class="block">El usuario o email es obligatorio</small>
                </div>
                <div class="dato">
                    <input type="password" pPassword class="p-inputtext-lg inputtext" id="password" placeholder="Contraseña" formControlName="password"/>
                </div>
                <div class="danger" *ngIf="campoNoValido('password')">
                    <small class="block">La contraseña es obligatoria</small>
                </div>
                <div class="dato">
                    <input type="text" class="p-inputtext-lg inputtext" placeholder="Nombre" id="nombre" pInputText formControlName="nombre" />
                </div>
                <div class="danger" *ngIf="campoNoValido('nombre')">
                    <small class="block">El nombre es obligatorio</small>
                </div>
                <div class="dato">
                    <p-dropdown [options]="roles" placeholder="¿Que perfil tendras?" optionLabel="name" [showClear]="true" class="inputtext" formControlName="role" id="role" (onChange)="changeMe(registroForm.value.role.code);"></p-dropdown>
                </div>
                <div class="danger" *ngIf="campoNoValido('role')">
                    <small class="block">Elegir el rol es obligatorio</small>
                </div>
                <button pButton pRipple label="Registrarme" type="submit" class="ingresar"></button>
            </form>
            <span>Estos son los datos principales, recuerda actualizar tu perfil una vez inicies sesión.</span>
            <p>Si ya tienes cuenta, <a routerLink='/login'>Inicia Sesión</a></p>
        </div>
    </div>
    <div class="footer">
        <div class="registro-footer">
            <h4>Dualclasses</h4>
            <h6>Copyright Ⓒ</h6>
        </div>
    </div>

</div>

<p-dialog header="RECUERDA" [(visible)]="displayModal" [modal]="true" [style]="{width: '50vw'}"
    [draggable]="false" [resizable]="false">
    <p class="m-0">Si quieres ser parte del equipo de profesores de DualClasses, tu estado inicial será INACTIVO, lo que significa que aún no apareces
        dentro de las búsquedas de tu categoría. Debes completar tu registro una vez inicies sesión por primera vez y enviar los documentos correspondientes.
        El equipo de DualClasses validará tu información y posterior a esto, te habilitará la cuenta.</p>
        <ng-template pTemplate="footer">
        <p-button icon="pi pi-check" (click)="displayModal=false" label="Ok" styleClass="p-button-text"></p-button>
        </ng-template>
</p-dialog>